# $Revision: 1.25 $, $Date: 2006/01/13 16:57:49 $
Summary:	Unix Amiga Emulator
Summary(pl):	Uniksowy Emulator Amigi
Name:		uae
Version:	0.8.25
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://ftp.freiburg.linux.de/pub/uae/sources/develop/%{name}-%{version}.tar.gz
# Source0-md5:	e660ca2bec3c016c978ef88117b0c432
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-snd_file_fix.patch
URL:		http://www.freiburg.linux.de/~uae/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UAE is mostly complete software emulation of the hardware of the
Commodore Amiga 500/1000/2000. A Commodore Amiga is a 16/32 bit
computer system based on the Motorola 680x0 CPU and a few specially
designed custom chips that provide very good graphics and sound
capabilities. UAE is written for Unixish systems; it is developed on a
Linux machine but it should compile and run on any half-recent
Unix-like operating system.

%description -l pl
UAE jest w wikszoci kompletnym oprogramowaniem do emulacji Commodore
Amiga 500/1000/2000. Commodore Amiga jest 16/32 bitowym komputerem
bazujcym na procesorze Motorola 680x0 i kilku specjalnie
zaprojektowanych kociach oferujcych bardzo dobr grafik i muzyk.
UAE jest napisany dla systemw uniksowych; jest rozwijany pod Linuksem
ale powinien si kompilowa na wikszoci platformach uniksowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake} || :
%configure \
	--enable-dga		\
	--enable-vidmode	\
	--enable-ui		\
	--enable-threads	\
	--disable-file-sound	\
	--with-x		\
	--without-svgalib	\
	--without-sdl		\
	--without-sdl-sound	\
	--without-sdl-gfx	\
	--with-alsa		\
	--without-asciiart

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}}

install readdisk uae $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{COMPATIBILITY,CREDITS,FAQ,NEWS,README}
%attr(755,root,root) %{_bindir}/readdisk
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uae.spec,v $
Revision 1.25  2006/01/13 16:57:49  hawk
- disabled file sound output again (or we will hear nothing but silence)

Revision 1.24  2006/01/12 19:06:41  hawk
- fixed broken update to 0.8.25 (updated ac_fixes.patch)
- added patch to fix src/sd-file/sound.c compilation, reenabled sound
  output to file in configure
- added BR gnome-libs-devel (because of %{__aclocal} -I %{_aclocaldir}/gnome)

Revision 1.23  2005/09/05 14:09:24  sparky
- updated to 0.8.25
- use alsa as sound output
- added desktop file

Revision 1.22  2005/02/24 19:53:02  darekr
- simplified %%install a bit, use macro

Revision 1.21  2004/10/29 14:56:53  paladine
- spelling fixes

Revision 1.20  2004/10/29 14:13:47  paladine
- unifications

Revision 1.19  2004/08/18 17:19:44  undefine
- release 3

Revision 1.18  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.17  2003/05/28 13:02:24  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/29 15:20:50  adasi
- added uae-cpuO0.patch

Revision 1.14  2003/02/15 23:02:07  misi3k
- updated to 0.8.22

Revision 1.13  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.12  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/06/19 17:03:40  zytek
- updated desc, there is no SUID ;)

Revision 1.9  2002/06/18 22:15:22  zytek
- new %doc

Revision 1.8  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/05 07:48:03  djrzulf
- suid isn't needed becouse you must set suid on other programs
  (no protests on group)

Revision 1.6  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/20 04:39:17  kloczek
- added ac_fixes patch and added regenerate ac files,
- spec adapterized.

Revision 1.3  2001/09/18 22:29:56  blues
- release 2
- ac2.5 ready

Revision 1.2  2001/03/27 19:29:57  mis
- autoupdated to 0.8.16

Revision 1.1  2000/10/10 20:07:56  michuz
- initial release
